<bugID>970049<Summary>Figure out why bug 963105 didn't fix the bug 944947-caused ts_paint regression</Summary><Description>(In reply to :Gijs Kruitbosch from bug 967766 comment #28)
&gt; 2) bug 963105, the fix for bug 944947's regression, landed exactly before
&gt; bug 959130, and improved non-pgo by about 5ms. That's in comparison to an
&gt; original regression of 15-20ms, so that's weird, because on try, the
&gt; improvement gained by bug 963105 was actually larger than the regression
&gt; (that is, the net result of bug 944947 + bug 963105 was lower ts_paint and
&gt; tpaint numbers). I have no idea why the fix didn't have the impact it
&gt; originally had, and will keep investigating this, too.

(In reply to :Gijs Kruitbosch from bug 967766 comment #26)
&gt; And this:
&gt; 
&gt; http://compare-talos.mattn.ca/
&gt; ?oldRevs=3073d97e978d&amp;newRev=4d2510915582&amp;server=graphs.mozilla.
&gt; org&amp;submit=true
&gt; 
&gt; shows clearly that I caused a regression with bug 944947, whereas this:
&gt; 
&gt; http://compare-talos.mattn.ca/
&gt; ?oldRevs=3073d97e978d&amp;newRev=51bab5125243&amp;server=graphs.mozilla.
&gt; org&amp;submit=true
&gt; 
&gt; shows that we did nullify both the tpaint and ts_paint regression with the
&gt; fix from bug 963105.



I'm assuming that somewhere between the baseline I used and feb 2/3 when bug 963105 landed, something else regressed and/or stopped the fix from working as well as it was expected to.

I don't see a much better approach than just bisecting the range and figuring out when the fix 'stopped working' as far as ts_paint was concerned.

Jan 28:
baseline: https://tbpl.mozilla.org/?tree=Try&amp;rev=b2b1a281737c
backout:  https://tbpl.mozilla.org/?tree=Try&amp;rev=0ab5a3567b78
fixed:    https://tbpl.mozilla.org/?tree=Try&amp;rev=2b723b7efe98</Description></bugID>